Remove host (device) from Fleet
curl --request DELETE \
--url https://api.trycomp.ai/v1/people/{id}/host/{hostId} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/people/{id}/host/{hostId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/people/{id}/host/{hostId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"authType": "api-key"
}{
"message": "Unauthorized"
}{
"message": "Member with ID mem_abc123def456 not found in organization org_abc123def456"
}{
"message": "Failed to remove host"
}People
Remove host (device) from Fleet | Comp AI API
Removes a single host (device) from FleetDM by host ID. Only organization owners can perform this action. Validates that the organization exists and the.
DELETE
/
v1
/
people
/
{id}
/
host
/
{hostId}
Remove host (device) from Fleet
curl --request DELETE \
--url https://api.trycomp.ai/v1/people/{id}/host/{hostId} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/people/{id}/host/{hostId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/people/{id}/host/{hostId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"authType": "api-key"
}{
"message": "Unauthorized"
}{
"message": "Member with ID mem_abc123def456 not found in organization org_abc123def456"
}{
"message": "Failed to remove host"
}Authorizations
API key for authentication
Path Parameters
Member ID
Example:
"mem_abc123def456"
FleetDM host ID
Example:
1
Was this page helpful?

